## auctex 11.87

=== debian/changelog ===
auctex (11.87-3+deb8u1) testing-proposed-updates; urgency=medium

  * Non-maintainer upload.
  * Use interest-nowait triggers for files in /usr/share (closes: #772873).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 06 Jan 2015 19:52:46 +0000

auctex (11.87-3) testing; urgency=medium

  * [59fd7bc] Drop emacs23 dependencies, keep emacs24 to the front.
    Thanks to Lucas Nussbaum (Closes: #768724)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 09 Nov 2014 14:20:48 +0100

auctex (11.87-2) unstable; urgency=medium

  * [d6ee432] debian/copyright: Update
  * [7544d1b] debian/control: Add VCS fields.
    Thanks to Thomas Koch (Closes: #694801)
  * [0f805ef] debian/update-auctex-elisp.8: Fix license name misspelling.
    Thanks to Axel Beckert (Closes: #714949)
  * [8e8c77b] Documentation: fix texdoc compatibility.
    Thanks to Norbert Preining
  * [137c142] Build with "makeinfo --html" instead of "texi2html"
    Thanks to Norbert Preining
  * [4c771ca] Upgrade Standards-Version to 3.9.6.
    Thanks to Norbert Preining
  * [adeaf4a] debian/po/ja.po: Update.
    Thanks to Victory (Closes: #712918)
  * [5acdaba] Update Debian Emacs policy support to emacsen-common 2.0.8

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 13 Oct 2014 15:56:19 +0200

auctex (11.87-1) unstable; urgency=low

  * [2d85583] Imported Upstream version 11.87
  * [f7cb967] debian/patches: Synchronize with new upstream release
  * [8ff9324] debian/copyright: Delete reference to tex-fptex.el
  * [c14fde9] debian/auctex.NEWS: Add latest release notes
  * [fd38652] debian/auctex.postinst (triggered): Fix trigger iteration.
    Thanks to Thomas Koch (Closes: 694800)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 02 Dec 2012 18:43:40 +0100

auctex (11.86-12) unstable; urgency=low

  * [7d23341] Add patch: Fix typo in the reference card.
    Thanks to Sébastien Villemot (Closes: #668357)
  * [fdc6507] Stop removing old empty site-start.d directories.
    Thanks to Sven Joachim (Closes: #673228)
  * [c2239da] Fix dpkg-maintscript-helper calls.
    Thanks to Josh Triplett (Closes: #669948)
  * [ccb8a09] Add emacs24 GNU Emacs flavor support.
    Thanks to Svante Signell, Sébastien Villemot (Closes: #682720, #679712)
  * [f903463] debian/copyright: Switch to machine readable format
  * [dad1eb6] Update Standards-Version to 3.9.4

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 28 Nov 2012 22:22:51 +0100

auctex (11.86-11) unstable; urgency=medium

  * [2ff9458] Fix emacs-snapshot support.
    Thanks to Luca Capello (Closes: #657761)
  * [b3497c8] debian/auctex.postinst: Fix incorrect space quoting.
    Thanks to Baruch Siach, Michal Sojka (Closes: #675752)
  * [0cf8833] debian/auctex.postinst: Fix trigger iteration.
    Thanks to Michal Sojka (Closes: #686366)
  * [2a9f28c] debian/auctex.triggers: Update paths for TeX Live >= 2012.
    Thanks to Julian Gilbey, Norbert Preining (Closes: #681481)
  * [33a2b04] debian/po: Update es.po.
    Thanks to Omar Campagne (Closes: #673627)
  * [a2c3dd6] debian/po: Add sk.po.
    Thanks to Ivan Masár (Closes: #681530)
  * [ec38128] Acknowledge NMU 11.86-10.1

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 20 Nov 2012 15:45:49 +0100

auctex (11.86-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish; (Omar Campagne).  Closes: #673627
    - Slovak (Ivan Masár).  Closes: #681530

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Jul 2012 19:19:03 -0600

auctex (11.86-10) unstable; urgency=low

  * [2d4945b] Add emacs-snapshot GNU Emacs flavor (again)
    Thanks to Brendan Halpin, Rafael Laboissiere, Sven Joachim (Closes: #657761)
  * [b263f72] debian/po: Update da.po.
    Thanks to Joe Dalton (Closes: #656684)
  * [1b4f479] debian/po: Add pl.po.
    Thanks to Michał Kułach (Closes: #664651)
  * [5171116] debian/po: Upgrade cs.po.
    Thanks to Miroslav Kure (Closes: #665364)
  * [d35fcea] Upgrade Standards-Version to 3.9.3

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 30 Mar 2012 22:30:41 +0200
