=== debian/watch ===
version=3
http://ftp.gnu.org/pub/gnu/auctex/auctex-([0-9.]+)\.tar\.gz
