## auctex 11.88

=== debian/changelog ===
auctex (11.88-1.1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - drop emacs23, default to emacs24.
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Nov 2015 14:17:50 +0000

auctex (11.88-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use interest-nowait triggers for files in /usr/share (closes: #772873).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 02 Jan 2015 18:14:08 +0000

auctex (11.88-1ubuntu1) vivid; urgency=medium

  * Merge from debian, remaining changes:
    - drop emacs23, default to emacs24.
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sat, 06 Dec 2014 16:40:59 +0000

auctex (11.88-1) unstable; urgency=medium

  * [9129986] Imported Upstream version 11.88
    (Closes: #686114, #693418, #708550, #712889)
  * [4a29f1d] debian/copyright: Update for new upstream release
  * [a5a9f3f] debian/patches: Synchronize with new upstream release
  * [eef8665] Add patch: Add new TeX-file-line-error option
    (Closes: #514431, #628790, #685252, #695282)
  * [7251f44] debian/auctex.NEWS: Update for new upstream release
  * [4957daf] debian/rules (release): Defer signing dsc and changes files
  * [d46b78d] debian/rules (upload): New target
  * [a3e1f95] debian/rules (snapshot): Do not tag snapshots by default
  * [692b62c] debian/control (Recommends): Add "okular" as an alternative
    to "xpdf"

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 01 Nov 2014 21:06:26 +0100

auctex (11.87-1ubuntu2) trusty; urgency=low

  * Drop emacs23 from [build-]depends, default to emacs24.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Thu, 07 Nov 2013 10:39:56 +0000

auctex (11.87-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 06 Jan 2013 02:41:22 -0500

auctex (11.86-11ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #987711). Remaining changes:
    - Recommend xdg-utils.
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.
    - debian/control: drop the "Vcs-Bzr" field as we're using
      lp:ubuntu/auctex.
    - Recommend evince (main) instead of xpdf (universe).

 -- Logan Rosen <logatronico@gmail.com>  Thu, 22 Nov 2012 21:35:08 -0500

auctex (11.86-2ubuntu2) quantal; urgency=low

  * Recommend evince (main) instead of xpdf (universe).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Sep 2012 22:37:42 +0200

auctex (11.86-2ubuntu1) natty; urgency=low

  [ Lorenzo De Liso ]
  * Merge from debian unstable (LP: #670942, #531680), remaining changes:
    - Follow Ubuntu Maintainer spec.
    - Recommend xdg-utils LP: #442467
  * debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded 
    xpdf, LP: #379874
  * debian/patches/use-firefox.patch: use firefox instead of hard-coded 
    'netscape'
  * debian/control: drop the "Vcs-Bzr" field as we're using lp:ubuntu/auctex
  * Dropped changes:
    - drop dependency on texlive-base-bin. It was included for lp #148469, but
      the current maintainer scripts no longer seem to use it: this change
      was documented but never applied

  [ Reinhard Tartler ]
  * Add patch documentation for use-xdg-open.patch and use-firefox.patch

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 04 Nov 2010 16:08:19 +0100

auctex (11.85-1ubuntu1) lucid; urgency=low

  * Merge from debian/squeeze. remaining changes:
    - Follow Ubuntu Maintainer spec.
    - use xdg-open instead of hard-coded xpdf,  LP: #379874
    - use firefox instead of hard-coded 'mozilla'
  * drop dependency on texlive-base-bin. It was included for lp #148469, but
    the current maintainer scripts no longer seem to use it.
  * recommend xdg-utils instead of xdg-open, LP: #442467
  * new upstream version fixes:
     - "Preview of doc that includes PDF". LP: #439463
       Closed based on information from bug submitter
     - Some parsing defects. LP: #240135
       At least the shown example does not show the defect anmore 

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 05 Nov 2009 08:42:04 +0100

auctex (11.84-0ubuntu3) karmic; urgency=low

  * use xdg-open instead of hard-coded,  LP: #379874
  * add dependency alternative on emacs23, LP: #434688

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Sep 2009 20:51:08 +0000

auctex (11.84-0ubuntu2) intrepid; urgency=low

  * Drop "xpdf-reader | pdf-viewer" recommends altogether. xpdf is in main,
    and we already install a PDF viewer in all Ubuntu flavours.
  * While I was at it, replace "gs-gpl | gs" with "ghostscript".

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Oct 2008 17:13:44 +0200

auctex (11.84-0ubuntu1) hardy; urgency=low

  * Upload to hardy. Freeze exception granted in LP: #103631

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Mar 2008 14:54:04 +0100

auctex (11.84-0ubuntu1~ppa2) gutsy; urgency=low

  * Merge changes from 11.83-7ubuntu1:
    - Add missing depends on texlive-base-bin so that the postrm does not
      fail on missing mktexlsr (LP: #148469).


