=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: auctex
 Priority: optional
 Section: tex
-Maintainer: Davide G. M. Salvetti <salve@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
 Standards-Version: 3.9.6
 Build-Depends-Indep: debhelper (>= 8), emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
@@ -12,7 +13,7 @@
 Package: auctex
 Architecture: all
 Depends: emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
-Recommends: ghostscript, texlive-latex-recommended, xpdf | evince | evince-gtk
+Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | evince-gtk | okular, xdg-utils
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
 Conflicts: preview-latex
