=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 #
 # makefile rules for the Debian package auctex
 #
-# Copyright (C) 1997, 98, 99, 2000, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10,
-# 11, 12 Davide G. M. Salvetti.
+# Copyright (C) 1997-2014 Davide G. M. Salvetti.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
@@ -134,7 +133,7 @@
 snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
 snapshot:
 	git-dch --debian-branch=$(BRANCH) --snapshot --auto --commit
-	git-buildpackage -tc -us -uc --git-pbuilder --git-tag \
+	git-buildpackage -tc -us -uc --git-pbuilder \
 		--git-debian-branch=$(BRANCH)
 
 .PHONY: release
@@ -143,4 +142,11 @@
 	gbp-pq rebase
 	gbp-pq export
 	git-dch --release --commit
-	git-buildpackage -tc --git-pbuilder --git-tag
+	git-buildpackage -tc -us -uc --git-pbuilder --git-tag
+
+.PHONY: upload
+upload: V := $(shell dpkg-parsechangelog --show-field Version)
+upload: A := $(shell dpkg --print-architecture)
+upload:
+	debsign
+	dput ../auctex_$(V)_$(A).changes
