## auctex 11.90

=== debian/changelog ===
auctex (11.90-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:39:09 +0100

auctex (11.90-2) unstable; urgency=medium

  [ Davide G. M. Salvetti ]
  * [9572013] debian/rules (snapshot): Do not sign snapshots
  * [2b18f96] debian/watch: Check GPG signature
  * [60b3789] debian/COPYRIGHT: Update
  * [f794a56] debian/rules (SBUILD): Do not overquote

  [ Norbert Preining ]
  * [ec2ea9c] Add patch: Support new date format of LaTeX kernel in TL2017.
    Thanks to Markus Kohm

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 21 Jul 2017 14:14:32 +0200

auctex (11.90-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Jan 2017 15:09:35 +0000

auctex (11.90-1) unstable; urgency=medium

  * [ca6576f] New upstream release 11.90
  * [1b78da3] debian/rules: Source only upload
  * [577e702] debian/copyright: Update
  * [6fcbd44] debian/auctex.NEWS: Update
  * [bea5d9c] Remove upstream merged patches
  * [9ae36c0] Refresh upstream patches
  * [178d053] Cope with missing upstream ChangeLog
  * [a853cd1] Add patch: Fix ConTeXt-outline-regexp.
    Thanks to Sanjoy Mahajan (Closes: #850444)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 14 Jan 2017 00:23:32 +0100

auctex (11.89-1) unstable; urgency=medium

  * [da2e9d7] New upstream release 11.89
    Thanks to Norbert Preining, Rémi Vanicat (Closes: #838119)
  * [9b94e58] Remove upstream merged patches
  * [0eb2307] Refresh upstream patches
  * [01282cb] Adapt to preview to top-level merge
  * [678c0b9] debian/rules: Disable dh_auto_test
  * [baa9409] debian/copyright: Update
  * [c4958c4] debian/auctex.NEWS: Update

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 25 Dec 2016 23:59:59 +0100

auctex (11.88-2) unstable; urgency=medium

  * [1451bf3] Switch to debhelper compatibility level 9
  * [3541d2b] auctex.README.Debian (Contributed Files): Update
  * [fffa9ac] Drop emacs23, default to emacs24.
    Thanks to Lucas Nussbaum (Closes: #768724)
  * [9ab3f31] debian/rules: Update from cvs-import to vcs-import
  * [fe20d00] debian/changelog: Add entry for 11.87-3
  * [a9a134a] Add patch: Replace `read-string' with `TeX-read-string'
    (Closes: #120031)
  * [5a43770] Add patch: Add copyright notice to style/foils.el
  * [a629193] debian/copyright: Update
  * [d83b7f0] debian/auctex.triggers: Use interest-nowait.
    Thanks to Guillem Jover, Dimitri John Ledkov (Closes: #772873)
  * [da831a0] Aknowledge NMU 11.88-1.1.
    Thanks to Michael Gilbert
  * [46a411f] Aknowledge NMU 11.88-1.2.
    Thanks to Rémi Vanicat
  * [4e1e65a] Add emacs25 GNU Emacs flavor support.
    Thanks to Dan Torop (Closes: #841123)
  * [43bab91] debian/po: Update pt_BR.po.
    Thanks to Diego Neves (Closes: #823367)
  * [99b75c1] Fix building with `dpkg-buildpackage -A'
    Thanks to Santiago Vila, Rémi Vanicat (Closes: #839579)
  * [b2ccb87] Upgrade Standards-Version to 3.9.8.
    Thanks to Rémi Vanicat
  * [9ad2c74] Aknowledge NMU 11.88-1.3.
    Thanks to Rémi Vanicat
  * [fc2873f] debian/rules: Use sbuild instead of pbuilder
  * [86a0bf4] Add patch: style/subfigure.el: Fix nesting error.
    Thanks to Julian Gilbey (Closes: #846537)
  * [469d54d] debian/copyright: Use unique license names
  * [9f79e72] debian/control: Use secure uris in VCS fields
  * [747986f] debian/NEWS.Debian: Use regular paragraphs
  * [51a35ab] debian/*.README.Debian: Do not include timestamps

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 08 Dec 2016 21:12:49 +0100

auctex (11.88-1.3ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Dec 2016 15:29:16 +0100

auctex (11.88-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * auctex support for emacs25, thanks to Dan Torop (Closes: #841123).
  * update the Brazilian Portuguese Translation (Closes: #823367)
    thanks to Diego Neves.
  * Fix building with dpkg-buildpackage -A thanks to Santiago Vila
    (Closes: #839579).
  * Drop support for emacs23
  * Upgrade Standards-Version to 3.9.8 (no change).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 25 Nov 2016 12:00:39 +0100

auctex (11.88-1.2ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - drop emacs23, default to emacs25.
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Nov 2016 13:33:52 +0000

auctex (11.88-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: "FTBFS: build-dependency not installable: emacs23", thanks to
    Lucas Nussbaum (Closes: #768724).

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 23 Sep 2016 17:36:05 +0200
