=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.sig%" https://ftp.gnu.org/pub/gnu/@PACKAGE@/@PACKAGE@-([0-9.]+)\.tar\.gz
