=== debian/changelog ===
auctex (11.91-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 16 Nov 2017 05:59:20 +0000

auctex (11.91-1) unstable; urgency=medium

  * [58672fd] Remove files autogenerated from vcs sources
  * [2cef0af] Add vcs sources not included in the dist tarball
  * [c70e928] Autogenerate dist files from vcs retrieved sources
  * [63f910b] debian/auctex.NEWS: Update
  * [f2e6e8d] debian/rules: Also add AUCTeX logo
  * [678e170] Remove upstream merged patches
  * [8b9473d] Adapt upstream patches to DEP-3
  * [8382326] Refresh upstream patches
  * [a831c6c] debian/rules (snapshot): Log changes from latest Debian release
  * [817332f] debian/rules (snapshot, release): Do not use pristine-tar
  * [da111ff] debian/rules (snapshot, release): Clean untracked files
  * [d679fe4] debian/copyright (Format): Use the https url form
  * [4525215] debian/control (Standards-Version): Upgrade to 4.0.1
  * [5625973] Watch vcs repository
  * [04db040] debian/rules: Override dh_auto_test
  * [753785a] debian/rules: Use dpkg pkg-info Makefile library
  * [10e4982] debian/auctex.triggers: Use noawait variants

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 11 Aug 2017 10:22:47 +0200
