=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,10 @@
 # On Debian GNU/Linux System you can find a copy of the GNU General Public
 # License in "/usr/share/common-licenses/GPL".
 
+include /usr/share/dpkg/pkg-info.mk
+
 SHELL := /bin/bash
 SBUILD := sbuild --verbose
-
-DEB_BUILD_OPTIONS := nocheck
 
 EPERL_SRC := $(wildcard debian/*.eperl)
 EPERL_OBJ := $(EPERL_SRC:%.eperl=%)
@@ -40,6 +40,11 @@
 %:
 	dh $@ --exclude .eperl --with tex
 
+.PHONY: override_dh_auto_configure
+override_dh_auto_configure: debian/clean
+	./autogen.sh
+	dh_auto_configure
+
 ELCC := $(shell pwd)/debian/elcc
 .PHONY: override_dh_auto_build
 override_dh_auto_build: debian/clean
@@ -52,8 +57,8 @@
 	cd doc && $(MAKE) auctex.htmls/index.html
 	cd doc && $(MAKE) preview-latex.htmls/index.html
 
-%:
-	dh $@ --exclude .eperl --with tex
+.PHONY: override_dh_auto_test
+override_dh_auto_test:
 
 .PHONY: override_dh_install
 override_dh_install:
@@ -74,6 +79,7 @@
 	install -m 755 -d debian/tmp/usr/doc/auctex/src
 	install -m 644 doc/tex-ref.pdf debian/tmp/usr/doc/auctex
 	install -m 644 doc/*.tex{,i} debian/tmp/usr/doc/auctex/src
+	install -m 644 etc/auctex-logo.tex debian/tmp/usr/doc/auctex/src
 	install -m 755 -d \
 		debian/tmp/usr/doc/auctex/HTML/{auctex,preview-latex}
 	install -m 644 doc/auctex.htmls/* \
@@ -114,10 +120,8 @@
 	git checkout vcs/debian
 
 .PHONY: vcs-import
-vcs-import: B := $(shell dpkg-parsechangelog --show-field Version \
-	| cut --fields 1 --delimiter '-')
 vcs-import: D := $(shell date --utc +%Y%m%d%H%M)
-vcs-import: V := "$(B)+vcs.$(D)"
+vcs-import: V := "$(DEB_VERSION_UPSTREAM)+vcs.$(D)"
 vcs-import: vcs-switch
 	git archive --verbose --worktree-attributes \
 		--prefix="auctex-$(V)/" \
@@ -133,9 +137,12 @@
 snapshot: OBJ := --arch-all
 snapshot: DIST := unstable
 snapshot: BRANCH := $(shell git branch | perl -ne 'print if s/^\* //')
+snapshot: LAST := $(shell git describe --abbrev=0 --match 'debian/*' master)
 snapshot: clean
-	gbp dch --debian-branch=$(BRANCH) --snapshot --auto --commit
+	git clean -ix
+	gbp dch --debian-branch=$(BRANCH) --snapshot --since $(LAST) --commit
 	gbp buildpackage --keyid='' \
+		--git-no-pristine-tar \
 		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
 		--git-debian-branch=$(BRANCH)
 
@@ -143,15 +150,17 @@
 release: OBJ := --arch-all --arch-any --source --source-only-changes
 release: DIST := unstable
 release: clean
+	git clean -ix
 	git checkout master
 	gbp pq rebase
 	gbp pq export
 	gbp dch --release --commit
 	gbp buildpackage \
+		--git-no-pristine-tar \
+		--git-pristine-tar-commit \
 		--git-builder='$(SBUILD) $(OBJ) --dist=$(DIST)' \
 		--git-tag
 
 .PHONY: upload
-upload: V := $(shell dpkg-parsechangelog --show-field Version)
 upload:
-	dput ../auctex_$(V)_source.changes
+	dput ../auctex_$(DEB_VERSION)_source.changes
