## auctex 12.2

=== debian/changelog ===
auctex (12.2-1ubuntu1) devel; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - d/p/use-xdg-open.patch: use xdg-open instead of hard-coded 'xpdf'.
    - d/p/use-firefox.patch: use firefox instead of hard-coded 'netscape'.
  * Dropped changes:
    - Build-Depends on texlive-extra-utils (applied upstream).

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Apr 2021 10:20:49 +0200

auctex (12.2-1) unstable; urgency=medium

  * [0c6b2de] New upstream release 12.2
    Thanks to Benjamin Redelings, Itaï BEN YAACOV, Sanjoy Mahajan (Closes: #63513, #702871, #769977, #896844, #912438)
  * [79f0a28] Drop alternate recommends on dummy package evince-gtk.
    Thanks to Jeremy Bicha (Closes: #884360)
  * [7f3946b] Refresh upstream patches
  * [a25f788] debian/control (Build-Depends-Indep): Add texlive-extra-utils.
    Thanks to Lucas Nussbaum, Itaï BEN YAACOV (Closes: #951973)
  * [ebabf80] debian/auctex.lintian-ovverrides: Update according to 4.2.0 policy
  * [c5718d9] debian/po/de.po: Reencode in UTF-8
  * [cc9cf07] debian/compat: Update dh compatibility level to 12
  * [8541bc8] debian/control (Rules-Requires-Root): Declare no root need
  * [17f62ae] debian/control (Standards-Version): Upgrade to 4.5.0

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 21 Aug 2020 16:05:59 +0200

auctex (11.91-2ubuntu2) focal; urgency=medium

  * debian/control:
    - Build-Depends on texlive-extra-utils
      https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=951973

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Apr 2020 21:23:07 +0200

auctex (11.91-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Recommend xdg-utils.
      + Recommend evince (main) instead of xpdf (universe).
    - debian/patches/use-xdg-open.patch: use xdg-open instead of hard-coded
      xpdf.
    - debian/patches/use-firefox.patch: use firefox instead of hard-coded
      'netscape'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 17:07:57 +0200

auctex (11.91-2) unstable; urgency=medium

  * [f70e735] debian/update-auctex-elisp: Ensure correct file permissions
  * [0dd8709] Kill update-auctex-elisp instances at package remove time
    (Closes: #867020)
  * [d5869bc] Unset TMPFILE before setting trap
  * [317c70f] Repository migrated from Alioth to Salsa
  * [cf8438f] Install emacs sources in /usr/share/auctex/
  * [60a027d] Cater only for Debian Emacs flavor emacs.
    Thanks to Julian Gilbey, Agustin Martin, Nicolas Boulenguez, Ernest
    Adrogué, Francesco Potortì
    (Closes: #908081, #908231, #908691, #915327)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 08 Dec 2018 18:42:21 +0100
