=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Davide G. M. Salvetti <salve@debian.org>
 Uploaders: OHURA Makoto <ohura@debian.org>
-Standards-Version: 4.0.1
-Build-Depends-Indep: autoconf, debhelper (>= 9), emacs25 | emacs24 | emacs-snapshot, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texinfo (>= 5)
+Standards-Version: 4.5.0
+Build-Depends-Indep: autoconf, debhelper (>= 9), emacs, eperl, ghostscript, po-debconf, tex-common (>= 4.01), texlive-latex-base, texlive-extra-utils, texinfo (>= 5)
+Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/auctex/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/salve/auctex.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/users/salve/auctex.git
+Vcs-Browser: https://salsa.debian.org/salve/auctex
+Vcs-Git: https://salsa.debian.org//salve/auctex.git
 
 Package: auctex
 Architecture: all
-Depends: emacs25 | emacs24 | emacs-snapshot, emacsen-common (>= 2.0.8), preview-latex-style, ${misc:Depends}
-Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | evince-gtk | okular, xdg-utils
+Depends: emacs, emacsen-common (>= 3.0.0), preview-latex-style, procps, ${misc:Depends}
+Recommends: ghostscript, texlive-latex-recommended, evince | xpdf | okular, xdg-utils
 Suggests: catdvi, dvipng, lacheck
 Breaks: emacspeak (<= 17.0-1)
 Conflicts: preview-latex
