=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,8 @@
 override_dh_install:
 	find debian/tmp/usr/share/emacs/site-lisp -type f -name \*.elc \
 		-print0 | xargs --null --no-run-if-empty rm -f
+	mv --verbose debian/tmp/usr/share/emacs/site-lisp/auctex \
+		debian/tmp/usr/share/
 	dh_install
 
 .PHONY: override_dh_installchangelogs
